Bug 1338084 - [abrt] WARNING: CPU: 0 PID: 1752 at drivers/gpu/drm/i915/intel_uncore.c:599 hsw_unclaimed_reg_debug+0x6a/0x90 [i915]() [i915]
Summary: [abrt] WARNING: CPU: 0 PID: 1752 at drivers/gpu/drm/i915/intel_uncore.c:599 h...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:699e4637fb59fa84b0bf8620cb0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-21 15:17 UTC by Ryan Hartlage
Modified: 2017-08-08 14:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:36:33 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (96.40 KB, text/plain)
2016-05-21 15:17 UTC, Ryan Hartlage
no flags Details

Description Ryan Hartlage 2016-05-21 15:17:05 UTC
Description of problem:
Steps to reproduce:
- Leave laptop idle
- Come back and observe that the laptop is now off

This does not occur every time the laptop is left idle. It appears to happen when the display goes to sleep, but I cannot confirm this.

I have TLP installed and enabled with the default configuration.

This is a fresh install of F24 beta, but this occurred for me on kernel 4.4+ on F23.

My laptop is a Dell XPS13 9343.

Additional info:
reporter:       libreport-2.7.0
WARNING: CPU: 0 PID: 1752 at drivers/gpu/drm/i915/intel_uncore.c:599 hsw_unclaimed_reg_debug+0x6a/0x90 [i915]()
Unclaimed register detected before reading register 0x130040
Modules linked in: cmac rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle ebtable_filter ebtables ip6table_filter ip6_tables bnep vfat fat uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev btusb btrtl btbcm btintel bluetooth media arc4 snd_soc_sst_broadwell iwlmvm mac80211 intel_rapl x86_pkg_temp_thermal coretemp kvm_intel snd_soc_sst_haswell_pcm iTCO_wdt
 iTCO_vendor_support hid_multitouch snd_hda_codec_hdmi iwlwifi snd_soc_sst_ipc snd_soc_sst_dsp kvm snd_soc_rt286 snd_hda_intel snd_soc_rl6347a snd_soc_ssm4567 snd_hda_codec cfg80211 snd_soc_core dell_wmi dell_laptop dcdbas irqbypass snd_hda_core snd_hwdep snd_seq snd_compress rtsx_pci_ms joydev memstick rfkill elan_i2c snd_pcm_dmaengine ac97_bus snd_seq_device snd_pcm snd_timer snd intel_pch_thermal mei_me i2c_i801 mei shpchp lpc_ich soundcore int3403_thermal soc_button_array snd_soc_sst_acpi intel_hid acpi_als snd_soc_sst_match i2c_designware_platform int3400_thermal processor_thermal_device sparse_keymap i2c_designware_core int3402_thermal kfifo_buf acpi_thermal_rel tpm_crb int340x_thermal_zone industrialio spi_pxa2xx_platform intel_soc_dts_iosf tpm_tis acpi_pad tpm nfsd auth_rpcgss
 nfs_acl lockd grace i915 rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm serio_raw rtsx_pci wmi sdhci_acpi sdhci video mmc_core i2c_hid fjes sunrpc scsi_transport_iscsi
CPU: 0 PID: 1752 Comm: Xorg Not tainted 4.5.4-300.fc24.x86_64 #1
Hardware name: Dell Inc. XPS 13 9343/0TM99H, BIOS A07 11/11/2015
 0000000000000086 0000000008e39f8b ffff8802129f3a10 ffffffff813d4ccf
 ffff8802129f3a58 ffffffffa02716d0 ffff8802129f3a48 ffffffff810a5f72
 ffff880210120000 0000000000130040 ffff88021087d000 0000000000000202
Call Trace:
 [<ffffffff813d4ccf>] dump_stack+0x63/0x84
 [<ffffffff810a5f72>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a600c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa01e72ba>] hsw_unclaimed_reg_debug+0x6a/0x90 [i915]
 [<ffffffffa01eaaab>] gen6_read32+0x6b/0x1f0 [i915]
 [<ffffffffa0212389>] hsw_disable_pc8+0x39/0x2d0 [i915]
 [<ffffffffa019047b>] intel_runtime_resume+0x16b/0x240 [i915]
 [<ffffffff8142144d>] pci_pm_runtime_resume+0x7d/0xb0
 [<ffffffff814213d0>] ? pci_restore_standard_config+0x40/0x40
 [<ffffffff8151fa27>] __rpm_callback+0x27/0x70
 [<ffffffff814213d0>] ? pci_restore_standard_config+0x40/0x40
 [<ffffffff8151fa94>] rpm_callback+0x24/0x80
 [<ffffffff814213d0>] ? pci_restore_standard_config+0x40/0x40
 [<ffffffff81520421>] rpm_resume+0x491/0x6a0
 [<ffffffff8121c598>] ? __slab_free+0xc8/0x2d0
 [<ffffffff8152145e>] __pm_runtime_resume+0x4e/0x70
 [<ffffffffa01ab958>] intel_runtime_pm_get+0x28/0x90 [i915]
 [<ffffffffa01cd585>] i915_gem_free_object+0x25/0x330 [i915]
 [<ffffffffa00ec050>] drm_gem_object_free+0x30/0x50 [drm]
 [<ffffffffa00eca04>] drm_gem_object_handle_unreference_unlocked+0xc4/0x110 [drm]
 [<ffffffffa00ecaa5>] drm_gem_object_release_handle+0x55/0xa0 [drm]
 [<ffffffffa00ecb55>] drm_gem_handle_delete+0x65/0x90 [drm]
 [<ffffffffa00ece40>] drm_gem_close_ioctl+0x20/0x30 [drm]
 [<ffffffffa00ed712>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa00ece20>] ? drm_gem_handle_create+0x40/0x40 [drm]
 [<ffffffff81243476>] ? do_readv_writev+0x146/0x230
 [<ffffffff813dd819>] ? timerqueue_add+0x59/0xb0
 [<ffffffff813dd8b4>] ? timerqueue_del+0x24/0x70
 [<ffffffff81112b8c>] ? __remove_hrtimer+0x3c/0x90
 [<ffffffff81256f93>] do_vfs_ioctl+0xa3/0x5d0
 [<ffffffff81114326>] ? do_setitimer+0xd6/0x220
 [<ffffffff81257539>] SyS_ioctl+0x79/0x90
 [<ffffffff817d086e>] entry_SYSCALL_64_fastpath+0x12/0x6d

Potential duplicate: bug 1279163

Comment 1 Ryan Hartlage 2016-05-21 15:17:10 UTC
Created attachment 1160140 [details]
File: dmesg

Comment 2 Ryan Hartlage 2016-05-21 15:20:51 UTC
I also have occasional problems resuming from suspend that I suspect are related, but I don't currently have a problem report showing that it is the same issue.

Comment 3 Ryan Hartlage 2016-05-21 15:22:00 UTC
A little bit more info: my laptop is configured to turn the display off when idle and is not configured to automatically suspend.

Comment 4 Oleg Drokin 2016-05-26 03:37:29 UTC
Description of problem:
Using powertop --auto-tune seems to be triggering this.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.7.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.5-300.fc24.x86_64 root=/dev/mapper/luks-7f7166fb-0a90-4c82-9a8e-104172e9745a ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-7f7166fb-0a90-4c82-9a8e-104172e9745a rd.lvm.lv=fedora/swap rd.luks.uuid=luks-9b44350d-9a7e-4208-ada0-0ec7900ea1f9 rhgb quiet LANG=en_US.UTF-8
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 2587 at drivers/gpu/drm/i915/intel_uncore.c:599 hsw_unclaimed_reg_debug+0x6a/0x90 [i915]()
Unclaimed register detected before reading register 0x130040
Modules linked in: rfcomm fuse ccm cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_raw ip6table_security ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables uhid bnep cpufreq_stats vfat fat hid_sensor_accel_3d hid_sensor_magn_3d hid_sensor_rotation hid_sensor_incl_3d hid_sensor_als hid_sensor_gyro_3d hid_sensor_trigger hid_sensor_iio_common industrialio_triggered_buffer snd_soc_sst_broadwell arc4 hid_multitouch snd_soc_sst_haswell_pcm
 snd_soc_sst_ipc iwlmvm iTCO_wdt snd_soc_sst_dsp iTCO_vendor_support hid_sensor_hub mac80211 dell_wmi intel_rapl sparse_keymap snd_soc_ssm4567 snd_soc_rt286 x86_pkg_temp_thermal snd_soc_rl6347a coretemp dell_laptop kvm_intel snd_soc_core dcdbas kvm dell_smm_hwmon iwlwifi snd_hda_codec_hdmi elan_i2c snd_compress snd_pcm_dmaengine ac97_bus irqbypass snd_hda_intel snd_hda_codec cfg80211 uvcvideo snd_hda_core joydev videobuf2_vmalloc snd_hwdep snd_seq videobuf2_memops videobuf2_v4l2 snd_seq_device videobuf2_core btusb snd_pcm btrtl btbcm videodev btintel bluetooth media snd_timer snd mei_me soundcore mei lpc_ich i2c_i801 shpchp snd_soc_sst_acpi int3403_thermal soc_button_array tpm_crb snd_soc_sst_match processor_thermal_device acpi_als i2c_designware_platform spi_pxa2xx_platform kfifo_buf
 i2c_designware_core int3402_thermal int340x_thermal_zone industrialio tpm_tis dell_rbtn intel_soc_dts_iosf rfkill int3400_thermal acpi_thermal_rel acpi_pad tpm nfsd auth_rpcgss nfs_acl lockd grace dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper serio_raw drm wmi sdhci_acpi sdhci mmc_core video fjes i2c_hid sunrpc scsi_transport_iscsi
CPU: 2 PID: 2587 Comm: powertop Not tainted 4.5.5-300.fc24.x86_64 #1
Hardware name: Dell Inc. Latitude 7350/      , BIOS A10 04/14/2016
 0000000000000086 00000000d3fc7cb9 ffff88003f8ffa58 ffffffff813d35af
 ffff88003f8ffaa0 ffffffffa02586f0 ffff88003f8ffa90 ffffffff810a5f12
 ffff88003f680000 0000000000130040 ffff88020f83d800 0000000000000202
Call Trace:
 [<ffffffff813d35af>] dump_stack+0x63/0x84
 [<ffffffff810a5f12>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5fac>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa01d00fa>] hsw_unclaimed_reg_debug+0x6a/0x90 [i915]
 [<ffffffffa01d38db>] gen6_read32+0x6b/0x1f0 [i915]
 [<ffffffffa01faa46>] hsw_disable_pc8+0x36/0x2b0 [i915]
 [<ffffffffa017a32b>] intel_runtime_resume+0x16b/0x240 [i915]
 [<ffffffff8141fc8b>] pci_pm_runtime_resume+0x7b/0xa0
 [<ffffffff8141fc10>] ? pci_restore_standard_config+0x40/0x40
 [<ffffffff8151da77>] __rpm_callback+0x27/0x70
 [<ffffffff8141fc10>] ? pci_restore_standard_config+0x40/0x40
 [<ffffffff8151dae4>] rpm_callback+0x24/0x80
 [<ffffffff8141fc10>] ? pci_restore_standard_config+0x40/0x40
 [<ffffffff8151e471>] rpm_resume+0x491/0x6a0
 [<ffffffff812c580b>] ? kernfs_fop_open+0x12b/0x360
 [<ffffffff8151f4ae>] __pm_runtime_resume+0x4e/0x70
 [<ffffffffa0194ca8>] intel_runtime_pm_get+0x28/0x90 [i915]
 [<ffffffffa0183edc>] calc_residency+0x3c/0xf0 [i915]
 [<ffffffffa0184042>] show_rc6_ms+0x22/0x40 [i915]
 [<ffffffff8150e750>] dev_attr_show+0x20/0x50
 [<ffffffff817cc942>] ? mutex_lock+0x12/0x30
 [<ffffffff812c629c>] sysfs_kf_seq_show+0xbc/0x130
 [<ffffffff812c4b13>] kernfs_seq_show+0x23/0x30
 [<ffffffff812665cc>] seq_read+0xec/0x390
 [<ffffffff812c55a2>] kernfs_fop_read+0x102/0x150
 [<ffffffff81241367>] __vfs_read+0x37/0x110
 [<ffffffff81352c10>] ? security_file_permission+0xa0/0xc0
 [<ffffffff81242366>] vfs_read+0x86/0x130
 [<ffffffff81243325>] SyS_read+0x55/0xc0
 [<ffffffff817cecee>] entry_SYSCALL_64_fastpath+0x12/0x6d

Comment 5 Oleg Drokin 2016-05-26 03:43:36 UTC
I should add that I am seeing very similar backtrace (though not the same as mine, the warning is the same in the same location) on my skylake NUC i5 as well.

This does not lead to any ill behaviour - i.e. nothing seems to be turning off or otherwise on both my laptop (Broadwell core-m based Dell Latitude 7350) or the NUC.

Here's the NUC backtrace:
[  600.836255] ------------[ cut here ]------------
[  600.836320] WARNING: CPU: 0 PID: 101 at drivers/gpu/drm/i915/intel_uncore.c:599 hsw_unclaimed_reg_debug+0x6a/0x90 [i915]()
[  600.836325] Unclaimed register detected after reading register 0x65f10
[  600.836327] Modules linked in: ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables uhid bnep cpufreq_stats arc4 snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc intel_rapl snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_hdmi snd_soc_core vfat fat iwlmvm snd_hda_codec_realtek snd_hda_codec_generic mac80211 snd_compress snd_pcm_dmaengine ac97_bus kvm snd_hda_intel snd_hda_codec irqbypass snd_hda_core iwlwifi crct10dif_pclmul snd_hwdep crc32_pclmul snd_seq snd_seq_device hci_uart cfg80211 ghash_clmulni_intel snd_pcm btqca btusb btrtl btbcm btintel bluetooth ir_lirc_codec lirc_dev snd_timer snd soundcore
[  600.836394]  i2c_i801 rc_rc6_mce mei_me idma64 shpchp intel_lpss_pci mei ite_cir rfkill rc_core pinctrl_sunrisepoint pinctrl_intel intel_lpss_acpi intel_lpss tpm_tis acpi_als tpm kfifo_buf industrialio acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 crc32c_intel i2c_algo_bit sdhci_pci drm_kms_helper e1000e sdhci drm serio_raw mmc_core ptp pps_core video i2c_hid fjes
[  600.836435] CPU: 0 PID: 101 Comm: kworker/0:1 Not tainted 4.5.5-300.fc24.x86_64 #1
[  600.836438] Hardware name:                  /NUC6i5SYB, BIOS SYSKLi35.86A.0028.2015.1112.1822 11/12/2015
[  600.836448] Workqueue: pm pci_acpi_wake_dev
[  600.836451]  0000000000000086 000000006806ac4e ffff88084a2f7b68 ffffffff813d35af
[  600.836457]  ffff88084a2f7bb0 ffffffffa02476f0 ffff88084a2f7ba0 ffffffff810a5f12
[  600.836462]  ffff880848940000 ffff880848940080 0000000000000000 0000000000000246
[  600.836467] Call Trace:
[  600.836475]  [<ffffffff813d35af>] dump_stack+0x63/0x84
[  600.836482]  [<ffffffff810a5f12>] warn_slowpath_common+0x82/0xc0
[  600.836487]  [<ffffffff810a5fac>] warn_slowpath_fmt+0x5c/0x80
[  600.836495]  [<ffffffff817cde09>] ? schedule_hrtimeout_range_clock+0xb9/0x1a0
[  600.836542]  [<ffffffffa01bf0fa>] hsw_unclaimed_reg_debug+0x6a/0x90 [i915]
[  600.836584]  [<ffffffffa01c62a9>] gen9_read32+0x119/0x320 [i915]
[  600.836629]  [<ffffffffa01caf3d>] i915_audio_component_codec_wake_override+0x7d/0xb0 [i915]
[  600.836641]  [<ffffffffa058bc0f>] snd_hdac_set_codec_wakeup+0x3f/0xa0 [snd_hda_core]
[  600.836648]  [<ffffffffa0623a8f>] azx_runtime_resume+0x17f/0x190 [snd_hda_intel]
[  600.836654]  [<ffffffff8141fc8b>] pci_pm_runtime_resume+0x7b/0xa0
[  600.836659]  [<ffffffff8141fc10>] ? pci_restore_standard_config+0x40/0x40
[  600.836665]  [<ffffffff8151da77>] __rpm_callback+0x27/0x70
[  600.836670]  [<ffffffff8141fc10>] ? pci_restore_standard_config+0x40/0x40
[  600.836675]  [<ffffffff8151dae4>] rpm_callback+0x24/0x80
[  600.836680]  [<ffffffff8141fc10>] ? pci_restore_standard_config+0x40/0x40
[  600.836685]  [<ffffffff8151e471>] rpm_resume+0x491/0x6a0
[  600.836691]  [<ffffffff814149cd>] ? pci_bus_read_config_word+0x9d/0xb0
[  600.836697]  [<ffffffff8151f4ae>] __pm_runtime_resume+0x4e/0x70
[  600.836703]  [<ffffffff8143bf9f>] pci_acpi_wake_dev+0x3f/0x80
[  600.836708]  [<ffffffff810be7e4>] process_one_work+0x184/0x440
[  600.836713]  [<ffffffff810beaee>] worker_thread+0x4e/0x480
[  600.836719]  [<ffffffff810beaa0>] ? process_one_work+0x440/0x440
[  600.836723]  [<ffffffff810c49c8>] kthread+0xd8/0xf0
[  600.836727]  [<ffffffff810c48f0>] ? kthread_worker_fn+0x180/0x180
[  600.836734]  [<ffffffff817cf03f>] ret_from_fork+0x3f/0x70
[  600.836737]  [<ffffffff810c48f0>] ? kthread_worker_fn+0x180/0x180
[  600.836741] ---[ end trace 8864340abb7727a8 ]---

Comment 6 Fedora End Of Life 2017-07-25 20:51:14 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 14:36:33 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.